
%global meadversion 4.2.0
%global namedversion 4.2.0.redhat-4
%global meadalpha .redhat_4
%global meadrel .1
%global serial 12

%bcond_without mead

%{?scl:%scl_package woodstox-core}
%{!?scl:%global eap -eap6}
%{?scl:%global javadir %{_javadir}/woodstox-core-eap6}
%{!?scl:%global javadir %{_javadir}/woodstox-core-eap6}

%define maven_version 4.2.0.redhat-4

Name:           %{?scl_prefix}woodstox-core%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Woodstox
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: woodstox-core-asl-4.2.0.redhat-4-scm-sources.zip
Source102: woodstox-core-asl-4.2.0.redhat-4.jar
Source103: woodstox-core-asl-4.2.0.redhat-4-javadoc.jar
Source104: woodstox-core-asl-4.2.0.redhat-4.pom
Source105: woodstox-core-asl-4.2.0.redhat-4-sources.jar
%endif

URL:            http://woodstox.codehaus.org
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%{?scl:Requires: %scl_runtime}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{?scl_prefix}woodstox-core%{?eap}-%{namedversion}-%{release}-root

%description
Woodstox is a high-performance XML processor that implements Stax (JSR-173) and
SAX2 APIs.

%prep
%setup -q -n wstx -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/woodstox-core-asl-%{namedversion}.jar %{buildroot}%{javadir}/woodstox-core-asl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/woodstox-core-asl-%{namedversion}-sources.jar %{buildroot}%{javadir}/woodstox-core-asl-%{namedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc release-notes/*
%dir %{javadir}
%{javadir}/woodstox-core-asl-%{namedversion}.jar
%{javadir}/woodstox-core-asl.jar
%{javadir}/woodstox-core-asl-%{namedversion}-sources.jar
%{javadir}/woodstox-core-asl-sources.jar

%changelog
* Mon Jul 21 2014 David Walluck <dwalluck@redhat.com> - 4.2.0-12.redhat_4.1
- do not install javadoc jar

* Mon Jul 21 2014 David Walluck <dwalluck@redhat.com> - 4.2.0-12.redhat_4.1
- do not install javadoc jar

* Mon Jul 21 2014 David Walluck <dwalluck@redhat.com> - 4.2.0-12.redhat_4.1
- release

